"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};

const request = require('../../../utils/request');

Page({
    data: {
        bookId: '',
        bookUrl: '',
        title: ''
    },
    onLoad(options) {
        const { id, bookUrl, title } = options;
        this.setData({
            bookId: id,
            bookUrl: decodeURIComponent(bookUrl),
            title: decodeURIComponent(title)
        });
    }
}); 