interface Book {
  id: number;
  isbn: string;
  title: string;
  author: string;
  publisher: string;
  description: string;
  bookUrl: string;
  coverUrl: string;
  category: string;
  tags: string;
  language: string;
  publishDate: string;
  createdTime: string;
  updatedTime: string;
}

interface BookListResponse {
  records: Book[];
  total: number;
  size: number;
  current: number;
  pages: number;
} 