interface Book {
  id: string;
  title: string;
  author: string;
  cover: string;
  isbn: string;
  totalPages: number;
  currentPage: number;
  status: 'reading' | 'finished' | 'planning';
  startDate?: Date;
  finishDate?: Date;
  category: string[];
  notes: string[];
  rating?: number;
  createTime: Date;
  updateTime: Date;
} 